> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List conversations

> Retrieve a list of all AI conversations configured by the user. Supports [PostgREST-style query parameters](https://postgrest.org/en/stable/api.html#horizontal-filtering-rows) for filtering. Examples are included for the standard metadata fields, but you can filter on any field in the metadata JSON object. For example, to filter by a custom field `metadata->custom_field`, use `metadata->custom_field=eq.value`.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/ai/analytics.yml get /ai/conversations
openapi: 3.1.0
info:
  title: Telnyx AI Analytics API
  version: 2.0.0
  description: API for AI conversations, insights, embeddings, and clusters.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /ai/conversations:
    get:
      tags:
        - Conversations
      summary: List conversations
      description: >-
        Retrieve a list of all AI conversations configured by the user. Supports
        [PostgREST-style query
        parameters](https://postgrest.org/en/stable/api.html#horizontal-filtering-rows)
        for filtering. Examples are included for the standard metadata fields,
        but you can filter on any field in the metadata JSON object. For
        example, to filter by a custom field `metadata->custom_field`, use
        `metadata->custom_field=eq.value`.
      operationId: get_conversations_public_conversations_get
      parameters:
        - name: id
          in: query
          description: Filter by conversation ID (e.g. id=eq.123)
          required: false
          schema:
            type: string
        - name: name
          in: query
          description: Filter by conversation Name (e.g. `name=like.Voice%`)
          required: false
          schema:
            type: string
        - name: created_at
          in: query
          description: Filter by creation datetime (e.g., `created_at=gte.2025-01-01`)
          required: false
          schema:
            type: string
        - name: last_message_at
          in: query
          description: >-
            Filter by last message datetime (e.g.,
            `last_message_at=lte.2025-06-01`)
          required: false
          schema:
            type: string
        - name: metadata->assistant_id
          in: query
          description: >-
            Filter by assistant ID (e.g.,
            `metadata->assistant_id=eq.assistant-123`)
          required: false
          schema:
            type: string
        - name: metadata->call_control_id
          in: query
          description: >-
            Filter by call control ID (e.g.,
            `metadata->call_control_id=eq.v3:123`)
          required: false
          schema:
            type: string
        - name: metadata->telnyx_agent_target
          in: query
          description: >-
            Filter by the phone number, SIP URI, or other identifier for the
            agent (e.g., `metadata->telnyx_agent_target=eq.+13128675309`)
          required: false
          schema:
            type: string
        - name: metadata->telnyx_end_user_target
          in: query
          description: >-
            Filter by the phone number, SIP URI, or other identifier for the end
            user (e.g., `metadata->telnyx_end_user_target=eq.+13128675309`)
          required: false
          schema:
            type: string
        - name: metadata->telnyx_conversation_channel
          in: query
          description: >-
            Filter by conversation channel (e.g.,
            `metadata->telnyx_conversation_channel=eq.phone_call`)
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: Limit the number of returned conversations (e.g., `limit=10`)
          required: false
          schema:
            type: integer
            minimum: 1
        - name: order
          in: query
          description: >-
            Order the results by specific fields (e.g., `order=created_at.desc`
            or `order=last_message_at.asc`)
          required: false
          schema:
            type: string
        - name: or
          in: query
          description: >-
            Apply OR conditions using PostgREST syntax (e.g.,
            `or=(created_at.gte.2025-04-01,last_message_at.gte.2025-04-01)`)
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConversationsListData'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const conversations = await client.ai.conversations.list();

            console.log(conversations.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            conversations = client.ai.conversations.list()
            print(conversations.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tconversations, err := client.AI.Conversations.List(context.TODO(), telnyx.AIConversationListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", conversations.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.ai.conversations.ConversationListParams;

            import
            com.telnyx.sdk.models.ai.conversations.ConversationListResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ConversationListResponse conversations = client.ai().conversations().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            conversations = telnyx.ai.conversations.list

            puts(conversations)
        - lang: CLI
          source: |-
            telnyx ai:conversations list \
              --api-key 'My API Key'
components:
  schemas:
    ConversationsListData:
      properties:
        data:
          items:
            $ref: '#/components/schemas/Conversation'
          type: array
          title: Data
      type: object
      required:
        - data
      title: ConversationsListData
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    Conversation:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
        name:
          type: string
          example: ''
        created_at:
          type: string
          description: The datetime the conversation was created.
          format: date-time
          example: '2025-04-15T13:07:28.764Z'
        metadata:
          type: object
          description: >-
            Metadata associated with the conversation. Telnyx provides several
            pieces of metadata, but customers can also add their own. The
            reserved field `ai_disabled` (boolean) can be set to `true` to
            prevent AI-generated responses on this conversation. When
            `ai_disabled` is `true`, calls to the chat endpoint will return a
            400 error. Set to `false` or remove the field to re-enable AI
            responses. This is useful when a human agent needs to take over the
            conversation mid-stream (e.g., a technician stepping in while AI was
            messaging a resident).
          additionalProperties:
            type: string
          example:
            telnyx_conversation_channel: sms
            telnyx_agent_target: '+13128675309'
            telnyx_end_user_target: '+13128675309'
            assistant_id: assistant-123
        last_message_at:
          type: string
          description: The datetime of the latest message in the conversation.
          format: date-time
          example: '2025-04-15T13:07:28.764Z'
      required:
        - id
        - created_at
        - metadata
        - last_message_at
    ValidationError:
      title: ValidationError
      required:
        - loc
        - msg
        - type
      type: object
      properties:
        loc:
          title: Location
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````